# Ansible Collection - enbewe.uffd
Collecion to deploy [uffd (**U**ser**F**erwaltungs**F**ronten**d**)](https://git.cccv.de/uffd/uffd) as OAuth/OIDC authentication service.

## Playbooks
### enbewe.uffd.deploy
Deploys the role `enbewe.uffd.uffd` to all hosts of the `uffd` group.

## Roles
### enbewe.uffd.uffd
Deploys uffd through a podman container.
Additionally deploys an nginx container as a HTTP server for static files as well as uWSGI proxy.

#### Required variables

**uffd_secret_key**
The secret key to use for uffd data.

**uffd_initial_admin_user**
Name of the initial admin user.

**uffd_initial_admin_pw**
Password of the initial admin user.

**uffd_initial_admin_mail**
E-Mail address of the initial admin user.

#### Optional Variables

**uffd_podman_network** *(Default: 'uffd-net')*
Name of the podman network to use for uffd container and the nginx server.

**uffd_conf_dir** *(Default: '/etc/uffd')*
The directory to use for config files.

**uffd_static_files_volume** *(Default: 'uffd-static-files')*
The name of the podman volume to use for the static files of the uffd.

**uffd_data_volume** *(Default: 'uffd-data')*
The name of the podman volume to use for the runtime data of uffd.
